INTERFACE
SUBROUTINE LARCINBTL(KST,KPROF,LD2TLFF1,KL0,KLH0,&
 & PDLO,PCLO,PCLOSLD,PDLAT,PCLA,PCLASLD,PDVER,PVINTW,PVINTWSLD,PB1,PB15,&
 & PDP,PUF,PVF,PTF,PGFLF,PCF,PUFZ,PVFZ,&
 & PUF5,PVF5,PUFZ5,PVFZ5,&
 & PDLO5,PCLO5,PCLOSLD5,PDLAT5,PCLA5,PCLASLD5,PDVER5,PVINTW5,PVINTWSLD5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NFLSA ,NFLEN
USE YOM_YGFL ,ONLY : YGFL ,YGFLC
USE YOMMP , ONLY : NASLB1
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB15
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
LOGICAL ,INTENT(IN) :: LD2TLFF1
INTEGER(KIND=JPIM),INTENT(IN) :: KL0(NPROMA,NFLEVG,0:3)
INTEGER(KIND=JPIM),INTENT(IN) :: KLH0(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLO(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLOSLD(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLA(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLASLD(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDVER(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTW(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWSLD(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PB1(NASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: PB15(NASLB1,NFLDSLB15)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLF(NPROMA,NFLEVG,YGFL%NUMFLDS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUFZ(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVFZ(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUF5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVF5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUFZ5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVFZ5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO5(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLO5(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLOSLD5(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLAT5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLA5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLASLD5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDVER5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTW5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWSLD5(NPROMA,NFLEVG,3)
END SUBROUTINE LARCINBTL
END INTERFACE
